Bug 229532 - Incomplete removal of numa_[gs]etaffinity
Summary: Incomplete removal of numa_[gs]etaffinity
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: Jeff Roberson
URL:
Keywords:
Depends on:
Blocks: 228911
  Show dependency treegraph
 
Reported: 2018-07-05 07:43 UTC by Brooks Davis
Modified: 2019-01-10 05:14 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brooks Davis freebsd_committer 2018-07-05 07:43:02 UTC
The unused and short-lived numa_getaffinity() and numa_setaffinity() syscalls were removed in favor of cpuset_getdomain() and cpuset_setdomain(), but work remains to do:
 - compat stubs must be created in libc which return ENOSYS (see https://reviews.freebsd.org/D15814 for a worked example which will be committed soon).
 - manpages still exist and numa.4 still references them.
 - sys/numa.h still declares the syscalls.
 - the symbols should probably warn when linked in 11-STABLE.

This should be tracked for 12.0-RELEASE.
Comment 1 Rodney W. Grimes freebsd_committer 2018-07-06 01:32:17 UTC
Removed RE@ as I am acting as a filter point on the bugs assigned to the 28911 12.0 release meta bug, add myself as filter point, and emaste@ per his request earlier about the Meta bugs.
Comment 2 Mark Johnston freebsd_committer 2018-07-30 16:22:52 UTC
Seems like this was addressed by r336182?
Comment 3 Conrad Meyer freebsd_committer 2018-07-31 16:05:05 UTC
(In reply to Mark Johnston from comment #2)
Yeah, everything except:

> the symbols should probably warn when linked in 11-STABLE

Which is something to direct commit to stable/11, I guess?
Comment 4 Ed Maste freebsd_committer 2018-11-12 17:16:42 UTC
(In reply to Conrad Meyer from comment #3)
> Which is something to direct commit to stable/11, I guess?

Yes, that makes sense.
Comment 5 Brooks Davis freebsd_committer 2019-01-10 05:14:34 UTC
It would be nice to add linkage warnings to the symbols in 11-STABLE, but it doesn't seem likely to happen at this point.  The important parts are done (compat symbols and manpage updates.)